## aegisub 2.1.9

=== debian/changelog ===
aegisub (2.1.9-1) unstable; urgency=low

  * Initial Debian release (Closes: #580594)

 -- Sebastian Reichel <sre@debian.org>  Fri, 16 Mar 2012 22:58:00 +0100
