=== debian/control ===
Source: aegisub
Section: video
Priority: extra
Maintainer: Sebastian Reichel <sre@debian.org>
Build-Depends: debhelper (>= 8~),
               intltool,
               libasound2-dev [linux-any],
               libass-dev,
               libffms2-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libhunspell-dev,
               liblua5.1-0-dev,
               libpulse-dev,
               libwxgtk2.8-dev
Standards-Version: 3.9.3
Homepage: http://www.aegisub.org/
Vcs-Git: git://git.debian.org/git/collab-maint/aegisub.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/aegisub.git;a=summary


Package: aegisub
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: aegisub-l10n
Description: advanced subtitle editor
 Originally created as tool to make typesetting, particularly in anime
 fansubs, a less painful experience, Aegisub has grown into a fully
 fledged, highly customizable subtitle editor.
 .
 It features a lot of convenient tools to help you with timing, typesetting,
 editing and translating subtitles, as well as a powerful scripting environment
 called Automation (originally mostly intended for creating karaoke effects,
 Automation can now be used much else, including creating macros and various
 other convenient tools).

Package: aegisub-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends},
         aegisub (>= ${source:Version}),
         aegisub (<< ${source:Version}.1~)
Description: aegisub language packages
 Originally created as tool to make typesetting, particularly in anime
 fansubs, a less painful experience, Aegisub has grown into a fully
 fledged, highly customizable subtitle editor.
 .
 It features a lot of convenient tools to help you with timing, typesetting,
 editing and translating subtitles, as well as a powerful scripting environment
 called Automation (originally mostly intended for creating karaoke effects,
 Automation can now be used much else, including creating macros and various
 other convenient tools).
 .
 This package contains language packages for the following languages:
 ca, cs, da, de, el, es, fa, fi, fr, hu, id, it, ja, ko, pl, pt_BR, pt_PT, ru,
 sr_RS, vi, zh_CN, zh_TW
