=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_installdocs:
	dh_installdocs --link-doc=aegisub

override_dh_auto_test:
	# skip test
