## aegisub 3.0.4

=== debian/changelog ===
aegisub (3.0.4-2build1) trusty; urgency=medium

  * No change rebuild against libffms2-3.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Dec 2013 19:56:53 +0000

aegisub (3.0.4-2) unstable; urgency=low

  * Cherry-pick new upstream patch, which fixes the menu bar
  * Use canonical Vcs URLs

 -- Sebastian Reichel <sre@debian.org>  Fri, 22 Nov 2013 13:08:28 +0100

aegisub (3.0.4-1) unstable; urgency=low

  * New upstream release (Closes: #691384, #713679, #721189)
  * Use dh-autoreconf (Closes: #727313)
  * Update patches
  * Add new patch for wxWidgets 3.0 support
  * Update Debian Standards Version: 3.9.3 -> 3.9.5
  * Update Compat level: 8 -> 9
  * Build -dbg package
  * Update manpage

 -- Sebastian Reichel <sre@debian.org>  Thu, 14 Nov 2013 16:49:59 +0000
