=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: video
 Priority: extra
 Maintainer: Sebastian Reichel <sre@debian.org>
-Build-Depends: debhelper (>= 8~),
+Build-Depends: debhelper (>= 9~),
+               dh-autoreconf,
                intltool,
                libasound2-dev [linux-any],
                libass-dev,
                libffms2-dev,
+               libfftw3-dev,
                libfontconfig1-dev,
                libfreetype6-dev,
                libgl1-mesa-dev | libgl-dev,
@@ -14,11 +16,11 @@
                libhunspell-dev,
                liblua5.1-0-dev,
                libpulse-dev,
-               libwxgtk2.8-dev
-Standards-Version: 3.9.3
+               libwxgtk3.0-dev
+Standards-Version: 3.9.5
 Homepage: http://www.aegisub.org/
-Vcs-Git: git://git.debian.org/git/collab-maint/aegisub.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/aegisub.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/aegisub.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/aegisub.git;a=summary
 
 
 Package: aegisub
@@ -57,3 +59,21 @@
  This package contains language packages for the following languages:
  ca, cs, da, de, el, es, fa, fi, fr, hu, id, it, ja, ko, pl, pt_BR, pt_PT, ru,
  sr_RS, vi, zh_CN, zh_TW
+
+Package: aegisub-dbg
+Section: debug
+Architecture: any
+Depends: ${misc:Depends},
+         aegisub (= ${binary:Version})
+Description: aegisub debug symbols
+ Originally created as tool to make typesetting, particularly in anime
+ fansubs, a less painful experience, Aegisub has grown into a fully
+ fledged, highly customizable subtitle editor.
+ .
+ It features a lot of convenient tools to help you with timing, typesetting,
+ editing and translating subtitles, as well as a powerful scripting environment
+ called Automation (originally mostly intended for creating karaoke effects,
+ Automation can now be used much else, including creating macros and various
+ other convenient tools).
+ .
+ This package the debug symbols for aegisub.
