=== debian/rules ===
#!/usr/bin/make -f
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_installdocs:
	dh_installdocs --link-doc=aegisub

override_dh_strip:
	dh_strip --dbg-package=aegisub-dbg

override_dh_auto_install:
	dh_auto_install
	find debian/tmp/usr/share -type f -exec chmod a-x '{}' ';'

override_dh_auto_clean:
	cp build/git_version.h debian/git_version.h.backup
	cp build/version.sh debian/version.sh.backup
	-dh_auto_clean
	mv debian/git_version.h.backup build/git_version.h
	mv debian/version.sh.backup build/version.sh
	rm -f src/libresrc/default_config_platform.json

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_test:
	# skip test
