=== debian/watch ===
version=3
http://ftp.aegisub.org/pub/releases/aegisub-([0-9\.]+).tar.gz
