## aegisub 3.1.2

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	$(BIN_SHELL) tools/osx-bundle.sh "$(AEGISUB_COMMAND)" "$(BIN_WX_CONFIG)" DICT_DIR=$(DICT_DIR)
 
 osx-dmg: osx-bundle
+	codesign -s 'Mac Developer' --deep Aegisub.app || true
 	$(BIN_SHELL) tools/osx-dmg.sh "$(BUILD_VERSION_STRING)"
 
 osx-tinderbox-bundle:
