=== desktop/Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 iconsscalabledir = $(DESKTOP_DATADIR)/icons/hicolor/scalable/apps
 iconsscalable_DATA = scalable/aegisub.svg
 
+aegisub.desktop: aegisub.desktop.template ../po
+	intltool-merge --quiet --desktop-style ../po aegisub.desktop.template aegisub.desktop
 
 all: ;
 
@@ -20,17 +22,17 @@
 ICON_SCALABLE = \
 	scalable/apps/aegisub.svg
 
-DESKTOP_FILE = \
-	aegisub.desktop
+DESKTOP_FILE = aegisub.desktop
 
 EXTRA_DIST = \
-	aegisub.desktop.in \
+	aegisub.desktop.template.in \
+	aegisub.desktop.template \
 	$(ICON_HICOLOR) \
 	$(ICON_SCALABLE)
 
 install: install-desktop install-icons
 
-install-desktop:
+install-desktop: $(DESKTOP_FILE)
 	@$(BIN_MKDIR) -p $(DESTDIR)$(P_DESKTOP)
 	$(BIN_INSTALL) $(DESKTOP_FILE) $(DESTDIR)$(P_DESKTOP)/$(DESKTOP_FILE)
 
@@ -38,8 +40,8 @@
 install-icons:
 	@$(BIN_MKDIR) -p $(addprefix $(DESTDIR)$(P_ICON)/hicolor/, $(dir $(ICON_HICOLOR)))
 	@for i in $(ICON_HICOLOR); do \
-		$(BIN_ECHO) "$(BIN_INSTALL) $$i $(DESTDIR)$(P_ICON)/hicolor/$$i"; \
-		$(BIN_INSTALL) $$i $(DESTDIR)$(P_ICON)/hicolor/$$i; \
+		$(BIN_ECHO) "$(BIN_INSTALL) -m644 $$i $(DESTDIR)$(P_ICON)/hicolor/$$i"; \
+		$(BIN_INSTALL) -m644 $$i $(DESTDIR)$(P_ICON)/hicolor/$$i; \
 	done
 	$(BIN_TOUCH) $(DESTDIR)$(P_ICON)/hicolor
 	$(BIN_MKDIR) -p $(DESTDIR)$(P_ICON)/hicolor/scalable/apps
