=== po/Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 PO = \
 	ar.po \
+	bg.po \
 	ca.po \
 	cs.po \
 	da.po \
@@ -14,6 +15,7 @@
 	fa.po \
 	fi.po \
 	fr_FR.po \
+	gl.po \
 	hu.po \
 	id.po \
 	it.po \
@@ -40,8 +42,8 @@
 install:
 	@$(BIN_MKDIR) -p $(addsuffix /LC_MESSAGES/, $(addprefix $(DESTDIR)$(P_LOCALE)/, $(basename $(PO))))
 	@for i in $(basename $(PO)); do \
-		echo $(BIN_INSTALL) $$i.mo $(DESTDIR)$(P_LOCALE)/$$i/LC_MESSAGES/$(AEGISUB_CATALOG).mo; \
-		$(BIN_INSTALL) $$i.mo $(DESTDIR)$(P_LOCALE)/$$i/LC_MESSAGES/$(AEGISUB_CATALOG).mo; \
+		$(BIN_ECHO) "$(BIN_INSTALL) -m644 $$i.mo $(DESTDIR)$(P_LOCALE)/$$i/LC_MESSAGES/$(AEGISUB_CATALOG).mo"; \
+		$(BIN_INSTALL) -m644 $$i.mo $(DESTDIR)$(P_LOCALE)/$$i/LC_MESSAGES/$(AEGISUB_CATALOG).mo; \
 	done
