=== src/Makefile ===
--- 
+++ 
@@ -5,22 +5,22 @@
 
 PRECOMPILED_HEADER_NAME=agi_pre.h
 
-AEGISUB_CFLAGS = -I. -I.. -Iinclude -I../libaegisub/include -I../build -DAEGISUB $(CFLAGS_PTHREAD) $(CFLAGS_FFTW3) $(CFLAGS_PROFILE)
+AEGISUB_CFLAGS = -I. -I.. -Iinclude -I../libaegisub/include -I../build -DAEGISUB $(CFLAGS_PTHREAD) $(CFLAGS_FFTW3) $(CFLAGS_ICU)
 
 CFLAGS += $(AEGISUB_CFLAGS)
 CXXFLAGS += $(AEGISUB_CFLAGS) -D__STDC_FORMAT_MACROS $(CXXFLAGS_WX)
 
 LIBS := -L../libaegisub -laegisub $(LIBS)
-LIBS += $(LIBS_CCMALLOC) $(LIBS_EFENCE) $(LIBS_GL)
-LIBS += $(LIBS_PTHREAD) $(LIBS_WX) $(LIBS_FREETYPE)
-LIBS += $(LIBS_FONTCONFIG) $(LIBS_FFTW3)
-LIBS += $(LIBS_UCHARDET)
-
-LDFLAGS += $(LDFLAGS_CCMALLOC)
+LIBS += $(LIBS_GL) $(LIBS_PTHREAD) $(LIBS_WX) $(LIBS_FREETYPE)
+LIBS += $(LIBS_FONTCONFIG) $(LIBS_FFTW3) $(LIBS_UCHARDET) $(LIBS_BOOST)
+LIBS += $(LIBS_ICU) $(LIBS_LUA)
 
 ifeq (yes, $(BUILD_DARWIN))
 SRC += osx_utils.mm
 endif
+
+lpeg.o: CFLAGS += -Wno-unused-function
+MatroskaParser.o: CFLAGS += -Wno-sometimes-uninitialized
 
 ###############
 # AUDIO PLAYERS
@@ -79,24 +79,10 @@
 ###########
 # SUBTITLES
 ###########
-ifeq (yes, $(HAVE_LIBASS))
-subtitles_provider_libass.o: CXXFLAGS += $(CFLAGS_LIBASS)
+subtitles_provider_libass.o: CXXFLAGS += $(CFLAGS_LIBASS) -Wno-c++11-narrowing
+subtitles_provider.o: CXXFLAGS += $(CFLAGS_LIBASS)
 LIBS += $(LIBS_LIBASS)
 SRC += subtitles_provider_libass.cpp
-else
-EXTRA_DIST += subtitles_provider_libass.cpp
-endif
-
-############
-# AUTOMATION
-############
-ifeq (yes, $(HAVE_AUTO4_LUA))
-auto4_lua.o auto4_lua_assfile.o auto4_lua_dialog.o  auto4_lua_progresssink.o auto4_lua_scriptreader.o: CXXFLAGS += $(CFLAGS_LUA)
-LIBS += $(LIBS_LUA)
-SRC += auto4_lua.cpp auto4_lua_assfile.cpp auto4_lua_dialog.cpp auto4_lua_progresssink.cpp auto4_lua_scriptreader.cpp
-else
-EXTRA_DIST += auto4_lua.cpp auto4_lua_assfile.cpp auto4_lua_dialog.cpp auto4_lua_progresssink.cpp auto4_lua_scriptreader.cpp
-endif
 
 ##############
 # MISCELLANOUS
@@ -119,6 +105,8 @@
 font_file_lister_fontconfig.o: CXXFLAGS += $(CFLAGS_FONTCONFIG)
 text_file_reader.o:            CXXFLAGS += -D_X86_
 video_provider_manager.o:      CXXFLAGS += $(CFLAGS_FFMS2)
+auto4_lua.o auto4_lua_assfile.o auto4_lua_dialog.o  auto4_lua_progresssink.o auto4_lua_regex.o auto4_lua_scriptreader.o auto4_regex.o: CXXFLAGS += $(CFLAGS_LUA)
+lpeg.o: CFLAGS += $(CFLAGS_LUA)
 
 SRC += \
 	MatroskaParser.c \
@@ -131,18 +119,20 @@
 	ass_file.cpp \
 	ass_karaoke.cpp \
 	ass_override.cpp \
+	ass_parser.cpp \
 	ass_style.cpp \
 	ass_style_storage.cpp \
 	ass_time.cpp \
 	audio_box.cpp \
+	audio_colorscheme.cpp \
 	audio_controller.cpp \
-	audio_colorscheme.cpp \
 	audio_display.cpp \
 	audio_karaoke.cpp \
 	audio_marker.cpp \
 	audio_player.cpp \
 	audio_provider.cpp \
 	audio_provider_convert.cpp \
+	audio_provider_dummy.cpp \
 	audio_provider_hd.cpp \
 	audio_provider_lock.cpp \
 	audio_provider_pcm.cpp \
@@ -153,9 +143,14 @@
 	audio_timing_dialogue.cpp \
 	audio_timing_karaoke.cpp \
 	auto4_base.cpp \
+	auto4_lua.cpp \
+	auto4_lua_assfile.cpp \
+	auto4_lua_dialog.cpp \
+	auto4_lua_progresssink.cpp \
+	auto4_lua_scriptreader.cpp \
+	auto4_regex.cpp \
 	avisynth_wrap.cpp \
 	base_grid.cpp \
-	charset_conv.cpp \
 	charset_detect.cpp \
 	colorspace.cpp \
 	colour_button.cpp \
@@ -163,6 +158,7 @@
 	dialog_about.cpp \
 	dialog_attachments.cpp \
 	dialog_automation.cpp \
+	dialog_autosave.cpp \
 	dialog_colorpicker.cpp \
 	dialog_detached_video.cpp \
 	dialog_dummy_video.cpp \
@@ -189,7 +185,6 @@
 	dialog_translation.cpp \
 	dialog_version_check.cpp \
 	dialog_video_details.cpp \
-	audio_provider_dummy.cpp \
 	export_fixstyle.cpp \
 	export_framerate.cpp \
 	fft.cpp \
@@ -201,25 +196,27 @@
 	help_button.cpp \
 	hotkey.cpp \
 	hotkey_data_view_model.cpp \
-	kana_table.cpp \
+	initial_line_state.cpp \
+	lpeg.c \
 	main.cpp \
 	menu.cpp \
-	md5.c \
 	mkv_wrap.cpp \
 	pen.cpp \
 	persist_location.cpp \
 	plugin_manager.cpp \
 	preferences.cpp \
 	preferences_base.cpp \
+	resolution_resampler.cpp \
 	scintilla_text_ctrl.cpp \
+	scintilla_text_selection_controller.cpp \
+	search_replace_engine.cpp \
 	spellchecker.cpp \
 	spline.cpp \
 	spline_curve.cpp \
-	standard_paths.cpp \
 	string_codec.cpp \
+	subs_controller.cpp \
 	subs_edit_box.cpp \
 	subs_edit_ctrl.cpp \
-	subs_grid.cpp \
 	subs_preview.cpp \
 	subtitle_format.cpp \
 	subtitle_format_ass.cpp \
@@ -235,14 +232,13 @@
 	text_file_reader.cpp \
 	text_file_writer.cpp \
 	thesaurus.cpp \
+	threaded_frame_source.cpp \
 	timeedit_ctrl.cpp \
-	threaded_frame_source.cpp \
 	toggle_bitmap.cpp \
 	toolbar.cpp \
 	tooltip_manager.cpp \
 	utils.cpp \
 	validators.cpp \
-	variable_data.cpp \
 	vector2d.cpp \
 	version.cpp \
 	video_box.cpp \
