=== tools/Makefile ===
--- 
+++ 
@@ -4,11 +4,12 @@
 
 SRC			+= common-respack.cpp
 
-ifdef $(BUILD_DARWIN)
-bin_PROGRAMS += osx-bundle-restart-helper
-osx_bundle_restart_helper_SOURCES = osx-bundle-restart-helper.c
+ifeq (yes, $(BUILD_DARWIN))
+osx-bundle-restart-helper: osx-bundle-restart-helper.c
+	$(BIN_CC) -o osx-bundle-restart-helper osx-bundle-restart-helper.c
+CLEANFILES += osx-bundle-restart-helper
+all: osx-bundle-restart-helper
 endif
-
 
 EXTRA_DIST = \
 	osx-bundle-restart-helper.c \
