=== debian/changelog ===
aegisub (3.1.2-1) unstable; urgency=low

  * New upstream release
  * Import updated watch file from Bart Martens
  * Bump ffms2 build dependency to 2.19 to fix audio problems and
    have correct binary dependencies (Closes: #731143, #730416)
  * Remove patches, which were imported from upstream git

 -- Sebastian Reichel <sre@debian.org>  Thu, 13 Feb 2014 02:58:17 +0100
