=== debian/control ===
--- 
+++ 
@@ -7,13 +7,21 @@
                intltool,
                libasound2-dev [linux-any],
                libass-dev,
-               libffms2-dev,
+               libboost-dev,
+               libboost-chrono-dev,
+               libboost-filesystem-dev,
+               libboost-locale-dev,
+               libboost-regex-dev,
+               libboost-system-dev,
+               libboost-thread-dev,
+               libffms2-dev (>= 2.19),
                libfftw3-dev,
                libfontconfig1-dev,
                libfreetype6-dev,
                libgl1-mesa-dev | libgl-dev,
                libglu1-mesa-dev | libglu-dev,
                libhunspell-dev,
+               libicu-dev,
                liblua5.1-0-dev,
                libpulse-dev,
                libwxgtk3.0-dev
