=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 %:
@@ -9,6 +10,9 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=aegisub-dbg
+
+override_dh_auto_configure:
+	dh_auto_configure -- --with-boost-libdir=/usr/lib/${DEB_HOST_MULTIARCH}
 
 override_dh_auto_install:
 	dh_auto_install
