=== debian/watch ===
version=3
http://ftp.aegisub.org/pub/releases/ \
(?:|.*/)aegisub(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
