## aegisub 3.2.2%2Bdfsg

=== debian/changelog ===
aegisub (3.2.2+dfsg-7.2ubuntu2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Aug 2025 08:25:27 +0200

aegisub (3.2.2+dfsg-7.2ubuntu1) plucky; urgency=medium

  * Build with -std=c++17.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jan 2025 13:10:50 +0100

aegisub (3.2.2+dfsg-7.2build2) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Jan 2025 20:28:09 +0100

aegisub (3.2.2+dfsg-7.2build1) plucky; urgency=medium

  * Rebuild against New luajit on riscv64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Nov 2024 10:43:17 +0100

aegisub (3.2.2+dfsg-7.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ zhangdandan <zhangdandan@loongson.cn> ]
  * d/p/aegisub-add-support-for-loong64.patch: Add support for loong64
    (Closes: #1074372)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Oct 2024 11:46:24 +0200

aegisub (3.2.2+dfsg-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix compilation against boost_1.83. (Closes: #1056090)

 -- Anton Gladky <gladk@debian.org>  Sat, 23 Dec 2023 22:32:02 +0100

aegisub (3.2.2+dfsg-7) unstable; urgency=medium

  * Update standards to 4.6.1.
  * Update d/watch to watch GitHub releases.
  * Set the aegisub.appdata.xml desktop ID to a reverse domain name.
  * Remove constraints unnecessary since buster:
    + Remove 1 maintscript entries from 1 files.
  * Enable migration again by not building against libluajit on ppc64el.
  * Enable building against libluajit on s390x.
  * Transition to wxwidgets3.2 (Closes: #1019807).

 -- Aniol Martí <amarti@caliu.cat>  Thu, 15 Sep 2022 10:52:38 +0000

aegisub (3.2.2+dfsg-6.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace -Wno-c++11-narrowing with -Wno-narrowing.
  * Add upstream patches for newer ffmpeg and FFMS2.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 20 Jul 2022 21:00:23 +0200

aegisub (3.2.2+dfsg-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove unconditional -Wno-c++11-narrowing.
  * Use pkgconf instead of pkg-config.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 20 Jul 2022 16:13:45 +0200

aegisub (3.2.2+dfsg-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/patches:
    + Add patch to fix FTBFS with new autotools/gettext. (Closes: #997098)
    + Add proposed patch to fix boost1.75+ detection.

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Apr 2022 22:18:47 -0400

aegisub (3.2.2+dfsg-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 3.2.2+dfsg-4.
  * Set field Upstream-Name in debian/copyright.
  * Drop unnecessary dependency on dh-autoreconf.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Aniol Marti ]
  * Add patch to fix compilation with Boost >= 1.69.0 (Closes: #948122).
  * Update standards from 4.4.0 to 4.5.0.
  * Update compat from 12 to 13.
  * Add patch to fix build with make > 4.2.
  * Do not override dh_installdocs and dh_autoreconf.
  * Silence errors in pkg-config lua/luajit to allow using one or the other.
  * Set Rules-Requires-Root to no.
  * Install aegisub.appdata.xml.

 -- Aniol Marti <amarti@caliu.cat>  Wed, 03 Jun 2020 22:18:48 +0000

aegisub (3.2.2+dfsg-5) unstable; urgency=medium

  * Fix bug in simplify-version.patch.
  * Replace d/aegisub-l10n.p* for d/aegisub-l10n.maintscript.
  * Update Debian Standards version to 4.4.0.
  * Use debhelper-compat 12 instead of debhelper.
  * Use Lua or LuaJIT (Closes: #892765).
  * Use wxWidgets GTK 3 (Closes: #933455).
  * Add libhunspell-dev to Build-Depends (fixes SEGV).
  * Apply patch provided in #935724 (Closes: #935724).
  * Update build dependencies. Some were missing, some weren't needed.
  * Disable update checker.

 -- Aniol Marti <amarti@caliu.cat>  Sat, 21 Sep 2019 11:04:16 +0000

aegisub (3.2.2+dfsg-4) unstable; urgency=medium

  [ Gunnar Wolf ]
  * Incorporate upstream patch to fix FTBFS. The patch itself (linked from the
    bug report) comes from
    https://build.opensuse.org/package/view_file/multimedia:apps/aegisub/luabins.patch?expand=1

  * Updated Vcs-* fields to point to Salsa instead of Alioth

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Aniol Marti ]
  * Add patches to fix bug in Buster and Sid (Closes: #873327, #903580)
  * Update Debian Standards Version to 4.2.1
  * Update Aegisub version to 3.2.2 in debian/manpages
  * Remove debian/menu
  * Set aegisub-dbg priority to optional
  * New maintainer (Closes: #915363)

 -- Aniol Marti <amarti@caliu.cat>  Thu, 20 Dec 2018 16:40:35 +0100

aegisub (3.2.2+dfsg-3) unstable; urgency=medium

  * replace aegisub-l10n's doc symlink with actual directory to
    support binNMUs (Closes: #799316).

 -- Sebastian Reichel <sre@debian.org>  Sat, 19 Sep 2015 00:30:12 +0200

aegisub (3.2.2+dfsg-2) unstable; urgency=medium

  * Fix FTBFS on mips* and ppc by linking against -latomic

 -- Sebastian Reichel <sre@debian.org>  Mon, 10 Aug 2015 02:54:36 +0200

aegisub (3.2.2+dfsg-1) unstable; urgency=low

  [ Pascal De Vuyst ]
  * Fix Typo in package description (Closes: #739219)

  [ Juan Picca ]
  * Add patch to fix reproducible build (Closes: #789728)

  [ Sebastian Reichel ]
  * New upstream release
   - remove vendor directory from orig tarball
  * Update Debian Standards Version to 3.9.6

 -- Sebastian Reichel <sre@debian.org>  Tue, 04 Aug 2015 21:40:50 +0200
